(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     63197,       1426]
NotebookOptionsPosition[     61653,       1369]
NotebookOutlinePosition[     61996,       1384]
CellTagsIndexPosition[     61953,       1381]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Simple", " ", "example", " ", "of", " ", "BAO"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.72648530013211*^9, 3.726485308360651*^9}}],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6953828297923565`*^9, 3.6953828375689344`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"sol", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"S", "''"}], "[", "t", "]"}], "+", 
            RowBox[{"d", " ", 
             RowBox[{
              RowBox[{"S", "'"}], "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{"\[Omega]", "^", "2"}], " ", 
             RowBox[{"S", "[", "t", "]"}]}]}], "\[Equal]", "F"}], ",", 
          RowBox[{
           RowBox[{"S", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"S", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
        ",", "S", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"S", "[", "t", "]"}], "/.", "sol"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"\"\<{d,\[Omega],F} = \>\"", "<>", 
          RowBox[{"ToString", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"d", ",", "\[Omega]", ",", "F"}], "}"}], "//", "N"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"25", ",", "1.65"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"BaseStyle", "\[Rule]", 
       RowBox[{"FontSize", "\[Rule]", "16"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"1", "/", "10"}]}], "}"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", "1"}], "}"}], ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"F", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.695371299232831*^9, 3.695371316316868*^9}, {
  3.6953740928541927`*^9, 3.6953743015898027`*^9}, {3.695374612279111*^9, 
  3.6953748893002667`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 
    0.040000000000000036`, $CellContext`F$$ = -0.17999999999999994`, \
$CellContext`\[Omega]$$ = 1.18, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`d$$], 
       Rational[1, 10]}, -1, 1}, {{
       Hold[$CellContext`\[Omega]$$], 1}, 0, 4}, {{
       Hold[$CellContext`F$$], 0}, -2, 2}}, Typeset`size$$ = {
    540., {175., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`d$294$$ = 
    0, $CellContext`\[Omega]$299$$ = 0, $CellContext`F$300$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = Rational[1, 10], $CellContext`F$$ = 
        0, $CellContext`\[Omega]$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`d$$, $CellContext`d$294$$, 0], 
        Hold[$CellContext`\[Omega]$$, $CellContext`\[Omega]$299$$, 0], 
        Hold[$CellContext`F$$, $CellContext`F$300$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> ($CellContext`sol = Part[
          
          NDSolve[{
           Derivative[2][$CellContext`S][$CellContext`t] + $CellContext`d$$ 
              Derivative[
               1][$CellContext`S][$CellContext`t] + $CellContext`\[Omega]$$^2 \
$CellContext`S[$CellContext`t] == $CellContext`F$$, $CellContext`S[0] == 1, 
            Derivative[1][$CellContext`S][0] == 
            0}, $CellContext`S, {$CellContext`t, 0, 50}], 1]; Plot[
         ReplaceAll[
          $CellContext`S[$CellContext`t], $CellContext`sol], {$CellContext`t, 
          0, 50}, PlotRange -> {-2, 2}, Frame -> True, Epilog -> Text[
           StringJoin["{d,\[Omega],F} = ", 
            ToString[
             
             N[{$CellContext`d$$, $CellContext`\[Omega]$$, \
$CellContext`F$$}]]], {25, 1.65}], BaseStyle -> (FontSize -> 16)]), 
      "Specifications" :> {{{$CellContext`d$$, 
          Rational[1, 10]}, -1, 1}, {{$CellContext`\[Omega]$$, 1}, 0, 
         4}, {{$CellContext`F$$, 0}, -2, 2}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{612., {270., 279.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.72629572551538*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"S", "''"}], "[", "t", "]"}], "+", 
          RowBox[{"d", " ", 
           RowBox[{
            RowBox[{"S", "'"}], "[", "t", "]"}]}], "+", 
          RowBox[{
           RowBox[{"\[Omega]", "^", "2"}], " ", 
           RowBox[{"S", "[", "t", "]"}]}]}], "\[Equal]", "F"}], ",", 
        RowBox[{
         RowBox[{"S", "[", "0", "]"}], "\[Equal]", "S0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"S", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
      ",", 
      RowBox[{"S", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.6953744251604705`*^9, 3.695374474149259*^9}, {
   3.6953745432726016`*^9, 3.695374544948824*^9}, 3.6953746444859786`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"S", "[", "t", "]"}], "\[Rule]", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Omega]", "2"], " ", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["d", "2"], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}]]}]], 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", "t", " ", 
       RowBox[{"(", 
        RowBox[{"d", "+", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["d", "2"], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["\[Omega]", "2"]}]}]]}], ")"}]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "d"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"t", " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox["d", "2"], "-", 
              RowBox[{"4", " ", 
               SuperscriptBox["\[Omega]", "2"]}]}]]}]]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"F", "-", 
          RowBox[{"S0", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}], "+", 
       RowBox[{
        SqrtBox[
         RowBox[{
          SuperscriptBox["d", "2"], "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["\[Omega]", "2"]}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{
             FractionBox["1", "2"], " ", "t", " ", 
             RowBox[{"(", 
              RowBox[{"d", "+", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["d", "2"], "-", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}], ")"}]}]], " ", 
           "F"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"t", " ", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox["d", "2"], "-", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["\[Omega]", "2"]}]}]]}]]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"F", "-", 
             RowBox[{"S0", " ", 
              SuperscriptBox["\[Omega]", "2"]}]}], ")"}]}]}], ")"}]}]}], 
      ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7262957826151605`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"dsol", "/.", 
   RowBox[{"d", "\[Rule]", "0"}]}], "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{3.6953749429479084`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"S", "[", "t", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{"F", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "F"}], "+", 
        RowBox[{"S0", " ", 
         SuperscriptBox["\[Omega]", "2"]}]}], ")"}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"t", " ", "\[Omega]"}], "]"}]}]}], 
    SuperscriptBox["\[Omega]", "2"]]}], "}"}]], "Output",
 CellChangeTimes->{3.7262957841621995`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Series", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"dsol", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}], "/.", 
     RowBox[{"F", "\[Rule]", "0"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "0", ",", "1"}], "}"}]}], "]"}], "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.6953745155097227`*^9, 3.6953745256321926`*^9}, 
   3.6953749595566187`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"S0", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"t", " ", "\[Omega]"}], "]"}]}], "+", 
   FractionBox[
    RowBox[{"S0", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "t"}], " ", "\[Omega]", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"t", " ", "\[Omega]"}], "]"}]}], "+", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "\[Omega]"}], "]"}]}], ")"}], " ", "d"}], 
    RowBox[{"2", " ", "\[Omega]"}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "d", "]"}], "2"],
    SeriesData[$CellContext`d, 0, {}, 0, 2, 1],
    Editable->False]}],
  SeriesData[$CellContext`d, 
   0, {$CellContext`S0 Cos[$CellContext`t $CellContext`\[Omega]], 
    Rational[1, 
      2] $CellContext`S0 $CellContext`\[Omega]^(-1) (-$CellContext`t \
$CellContext`\[Omega] Cos[$CellContext`t $CellContext`\[Omega]] + 
     Sin[$CellContext`t $CellContext`\[Omega]])}, 0, 2, 1],
  Editable->False]], "Output",
 CellChangeTimes->{3.726295785865531*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"w", "=", "0"}], ",", " ", 
    RowBox[{"Matter", " ", "domination"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"a", "'"}], "[", "\[Eta]", "]"}], "/", 
           RowBox[{
            RowBox[{"a", "[", "\[Eta]", "]"}], "^", "2"}]}], "\[Equal]", 
          RowBox[{
           FractionBox["H0", "c"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "\[Eta]", "]"}], 
            RowBox[{
             RowBox[{"-", "3"}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "w"}], ")"}], "/", "2"}]}]]}]}], ",", 
         RowBox[{
          RowBox[{"a", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
       RowBox[{"w", "\[Rule]", "0"}]}], ",", 
      RowBox[{"a", "[", "\[Eta]", "]"}], ",", "\[Eta]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"w", "=", 
      RowBox[{"1", "/", "3"}]}], ",", " ", 
     RowBox[{"Radiation", " ", "domination"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"a", "'"}], "[", "\[Eta]", "]"}], "/", 
           RowBox[{
            RowBox[{"a", "[", "\[Eta]", "]"}], "^", "2"}]}], "\[Equal]", 
          RowBox[{
           FractionBox["H0", "c"], " ", 
           SuperscriptBox[
            RowBox[{"a", "[", "\[Eta]", "]"}], 
            RowBox[{
             RowBox[{"-", "3"}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "w"}], ")"}], "/", "2"}]}]]}]}], ",", 
         RowBox[{
          RowBox[{"a", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
       RowBox[{"w", "\[Rule]", 
        RowBox[{"1", "/", "3"}]}]}], ",", 
      RowBox[{"a", "[", "\[Eta]", "]"}], ",", "\[Eta]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.695382672465623*^9, 3.6953827245631094`*^9}, {
  3.6953828434878654`*^9, 3.6953828583840637`*^9}, {3.6953830830242996`*^9, 
  3.6953830928637695`*^9}, {3.6953831885778046`*^9, 3.695383202702839*^9}, {
  3.695383616078061*^9, 3.6953836331035385`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "[", "\[Eta]", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     SuperscriptBox["H0", "2"], " ", 
     SuperscriptBox["\[Eta]", "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["c", "2"]}]]}], "}"}]], "Output",
 CellChangeTimes->{3.7262957874281716`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "[", "\[Eta]", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{"H0", " ", "\[Eta]"}], "c"]}], "}"}]], "Output",
 CellChangeTimes->{3.7262957874281716`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"c0", "=", " ", 
     RowBox[{"R0", " ", 
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         SuperscriptBox["H0", "2"], 
         RowBox[{"4", " ", 
          SuperscriptBox["c", "2"]}]], ",", 
        FractionBox["H0", "c"]}], "}"}]}]}], ",", " ", 
    RowBox[{"R0", "=", 
     RowBox[{
      FractionBox["3", "4"], 
      FractionBox["\[CapitalOmega]b", "\[CapitalOmega]\[Gamma]"]}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"cs", "[", 
     RowBox[{"a", "[", "\[Eta]", "]"}], "]"}], "=", " ", 
    SqrtBox[
     FractionBox["1", 
      RowBox[{"3", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"R0", " ", 
          RowBox[{"a", "[", "\[Eta]", "]"}]}]}], ")"}]}]]]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"cs", "[", "\[Eta]_", "]"}], ":=", 
   SqrtBox[
    FractionBox["1", 
     RowBox[{"3", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"c0", " ", 
         SuperscriptBox["\[Eta]", 
          FractionBox["2", 
           RowBox[{"1", "+", 
            RowBox[{"3", "w"}]}]]]}]}], ")"}]}]]]}]}]], "Input",
 CellChangeTimes->{{3.6953818856495314`*^9, 3.6953819057319903`*^9}, {
  3.695382872241167*^9, 3.6953829215686607`*^9}, {3.6953832073606663`*^9, 
  3.695383208674802*^9}, {3.695383576464433*^9, 3.695383600353342*^9}, {
  3.695383643680138*^9, 3.6953836476453733`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"w", "=", "0"}], ",", " ", 
   RowBox[{"Matter", " ", "domination"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6953829340310144`*^9, 3.6953829441109996`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rs", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"cs", "[", "\[Eta]", "]"}], ",", "\[Eta]"}], "]"}], "/.", 
     RowBox[{"w", "\[Rule]", "0"}]}], "//", "FullSimplify"}], "//", 
   "PowerExpand"}]}]], "Input",
 CellChangeTimes->{{3.6953817796366863`*^9, 3.69538179902785*^9}, {
  3.695381845988551*^9, 3.69538188125179*^9}, {3.695382319792701*^9, 
  3.6953823520189342`*^9}, {3.6953832120636253`*^9, 3.695383213055121*^9}, {
  3.695383426526065*^9, 3.6953834545898504`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SqrtBox[
    RowBox[{"1", "+", 
     RowBox[{"c0", " ", 
      SuperscriptBox["\[Eta]", "2"]}]}]], " ", 
   RowBox[{"ArcSinh", "[", 
    RowBox[{
     SqrtBox["c0"], " ", "\[Eta]"}], "]"}]}], 
  RowBox[{
   SqrtBox["c0"], " ", 
   SqrtBox[
    RowBox[{"3", "+", 
     RowBox[{"3", " ", "c0", " ", 
      SuperscriptBox["\[Eta]", "2"]}]}]]}]]], "Output",
 CellChangeTimes->{3.7262957912410727`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"cs0", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"cs", "[", "\[Eta]", "]"}], "/.", 
    RowBox[{"w", "\[Rule]", "0"}]}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.695382008465334*^9, 3.695382013939929*^9}, 
   3.695383216063321*^9, {3.695383431757738*^9, 3.6953834562864833`*^9}}],

Cell[BoxData[
 SqrtBox[
  FractionBox["1", 
   RowBox[{"3", "+", 
    RowBox[{"3", " ", "c0", " ", 
     SuperscriptBox["\[Eta]", "2"]}]}]]]], "Output",
 CellChangeTimes->{3.726295792100541*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dsol1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"S", "''"}], "[", "\[Eta]", "]"}], "+", 
            RowBox[{
             RowBox[{"k", "^", "2"}], " ", 
             RowBox[{"cs0", "^", "2"}], " ", 
             RowBox[{"S", "[", "\[Eta]", "]"}]}]}], "\[Equal]", "0"}], ",", 
          RowBox[{
           RowBox[{"S", "[", "0", "]"}], "\[Equal]", "S0"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"S", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
        ",", 
        RowBox[{"S", "[", "\[Eta]", "]"}], ",", "\[Eta]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "//", "FullSimplify"}], "//", 
    "PowerExpand"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.6953819940886655`*^9, 3.695382060401472*^9}, 
   3.695382105569767*^9, {3.6953829858555555`*^9, 3.6953830111530547`*^9}, {
   3.695383218366699*^9, 3.6953832217583356`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"S", "[", "\[Eta]", "]"}], "\[Rule]", 
   RowBox[{"S0", " ", 
    RowBox[{"Hypergeometric2F1", "[", 
     RowBox[{
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         FractionBox[
          SqrtBox[
           RowBox[{
            RowBox[{"9", " ", "c0"}], "-", 
            RowBox[{"12", " ", 
             SuperscriptBox["k", "2"]}]}]], 
          SqrtBox["c0"]]}], ")"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "4"]}], "-", 
       FractionBox[
        SqrtBox[
         RowBox[{
          RowBox[{"3", " ", "c0"}], "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["k", "2"]}]}]], 
        RowBox[{"4", " ", 
         SqrtBox["3"], " ", 
         SqrtBox["c0"]}]]}], ",", 
      FractionBox["1", "2"], ",", 
      RowBox[{
       RowBox[{"-", "c0"}], " ", 
       SuperscriptBox["\[Eta]", "2"]}]}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7262957937569923`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"1", "==", 
     FractionBox[
      RowBox[{
       SuperscriptBox["H0", "2"], " ", 
       SuperscriptBox["\[Eta]", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["c", "2"]}]]}], ",", "\[Eta]"}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6953834927143707`*^9, 3.69538350449598*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[Eta]", "\[Rule]", 
   FractionBox[
    RowBox[{"2", " ", "c"}], "H0"]}], "}"}]], "Output",
 CellChangeTimes->{3.726295795788431*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"S0", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]b", "=", "0.045"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalOmega]\[Gamma]", "=", 
   RowBox[{"2.471", "*", 
    RowBox[{
     SuperscriptBox["10", 
      RowBox[{"-", "5"}]], "/", 
     RowBox[{"h", "^", "2"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R0", "=", 
   RowBox[{
    FractionBox["3", "4"], 
    FractionBox["\[CapitalOmega]b", "\[CapitalOmega]\[Gamma]"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cH0", "=", 
   FractionBox["2997.92458", "h"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", "0.67"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c0", "=", " ", 
   RowBox[{"R0", " ", 
    FractionBox["1", 
     RowBox[{"4", " ", 
      SuperscriptBox["cH0", "2"]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cos", "[", 
       RowBox[{"k", " ", "rs"}], "]"}], ",", 
      RowBox[{
       RowBox[{"dsol1", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}], "//", "Chop"}]}], "}"}], "//",
     "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Eta]", ",", "0", ",", "300"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6953821210728383`*^9, 3.695382189008786*^9}, {
   3.6953822800973763`*^9, 3.6953823072669935`*^9}, {3.6953823840483174`*^9, 
   3.695382450480208*^9}, {3.6953830208642483`*^9, 3.695383176575285*^9}, 
   3.6953832278069916`*^9, {3.6953832785586014`*^9, 3.695383410078823*^9}, {
   3.695383472237856*^9, 3.6953834728144245`*^9}, {3.69538351961467*^9, 
   3.695383537502266*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwVmnk41N8Xx1NCKomSItFqSUqSFu6xZ18qO1lmFGbIZPm2USFtZIkWsqZF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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwVl3k4Vd0XxyVJ5ikSyVAylmSqZK8MGa4pynDvxSVkKhnySlHRYK4MJYlS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      "]], 
     LineBox[{{144.32046166804676`, -0.28257785063002155`}, {
      144.4221041424619, -0.2880316740850197}, {
      144.5011852438376, -0.2922690155577671}, {
      144.59422183369128`, -0.29724739231901637`}, {
      144.687258423545, -0.30221837608667873`}, {
      144.78494684289137`, -0.3074298185163323}, {
      144.8733316032524, -0.3121376756681395}, {
      144.94776087513543`, -0.31609675977080776`}, {
      145.0780121009305, -0.32301302052706476`}, {
      145.1524413728135, -0.32695812763573556`}, {
      145.52458773222833`, -0.3466044432452618}, {
      147.01317316988755`, -0.4237368093224945}, {
      147.09982227474464`, -0.4281485207475774}, {
      147.19559233800774`, -0.43301392432053715`}, {
      147.37801150612793`, -0.4422498424228622}, {
      147.455539652579, -0.4461624210684419}, {
      147.54469702099777`, -0.45065240862443084`}}], 
     LineBox[{{165.09799944681586`, -1.0293731278075515`}, {
      165.1930736004673, -1.030409968662783}, {
      165.2881477541187, -1.0314211283465506`}}], LineBox[CompressedData["
1:eJwVlHs4FWYcx886c78WU3pah2pu82RhjYP8xMljjVMeMSWh93UmW+6jZe4n
ueRasRESi+VRLkfpZC9pcimXllwrD7pgeOdsPGvM3v3xPu/z+ef3/n7f7/f3
6geEuOMNHA5HwM7/9+SOWXWjBgSqtob74y5Q8s/mD0e8mxBo73NaPZ5LyaYa
zXrUjGBh6puHSxcpqbpvm98jRaAvW4xsKKAkTvOaV2grArNpm/XBYkoi5dv2
ctoRpKULIaeUEv/5jGlRF4LOY+Vdaj9RMuwXJi16hMC3tDqGV02J21PPvL4+
BIKOFS2tGkr4Un347BmCH8N6OGV1lNzarbA5eATBWk3GQetGSgzLf58vGUdg
Y6kY1dhEiXba7SL5KQQn7yl4H5JSkr5aHM5/jWDrr7HqYS2UcEKTXE7PILir
l1cYQSiZ93RdGVxk7PV8x/Z2SlC3ea+SDIEB9x6v4wElo3ZbKu2WEby+lDkr
7KDkUN3a2bC/EeQHmSZJH1LSsWvKvXIVwR95N18pdlFiW9hpPLKOoHHUT9uq
m5IGlVqOGhfDnKRNzaWHEpP4/CGQx8Ddlz5g84iSsqWY2kglDMFG1Sc0H1Oi
E+grrlLF0NvieKeDceaIo8+4BgZZv2TMt5eSDa7GFppaGMwkud3DjM+0qis7
6WBItiwTW/ZRQi3+nIjWxXBAPKEWzjjw+sjtG9swJNifR7mMx7eSrJc8DAOH
uRl5jN2zKrDWTgzvL8uSohh3vpdu62yAwarS3I3P2D4qROusMYZqld6FCfZe
01uP2VpTDLxVZVEQY1MfftukGYaFANT8G+u3vI9XqGOBodwq4y2P8RZHuZDP
97J+IgNXXNm8WU2zgjhrDE5rm2aOMz3kTPq31duy+YqnWoVMr9grEtkrewyS
Rb+knUzPJc2ibl1HDO1HXPaMML2/Skm46noAQ/ZUzkAo8+PFCo5JdMHQddhf
NMv88gg+KJR8gUFjXndFwPzsefGJwYwQg5FYKE5uo2QyfNe6zB3DB8O5T6TM
/3cir66PPDGYl6jbtLJ8uA01Vax7Y3AYK5BYsvxU1HQk3vHBIDD5a6NbMyW5
+blmeicxhN+tGIxn+VNUiJb3CMSQclV1bo7lM+47n+epQRimDXQ+5t+k5JS/
YcZiCIb9TzQE37N8l+Skn9KOwHDeYrA6geV/gMy7WH+LIcn/jEh0jRKr7Y2K
ybEY9kRpKr1k+6MwBud00jAcHVqri85i+6BcgW0yMTS2v6m6nE7JaWsFgV82
hsoo7qc/nKPkWcFj7s+XMDyYyt7tEsf69ziaaFeO4YRD85UjX7N9S27xC6hk
fnOLLfJElKg06EFqFYb4SNXr9QGUhG98829/Laun7OpW+iUlDr0RsUiKQZhV
+ouRI9Pb+UJ0xlPmj/O7+3Ja7D+Ipp63hjDcKD7GF6tSIku93JwyimF5xbUu
X56S/wCOykQC
      "]], LineBox[CompressedData["
1:eJwVl3k4VesXxynJEE2GSgNCxjIlOfEulJCKclWkIg6ds8/h7KSrQbmFciUk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      "]], LineBox[CompressedData["
1:eJwBoQFe/iFib1JlAgAAABkAAAACAAAAsforVgWeYkB2rUfFNJ/gv6MQHW7H
oGJA+aWUPVHB4L97A3VCjaNiQLVM5nyE4+C/Y+6nNiilYkCyVQeCRvfgvyXM
Mv+IqWJAqUOQfwAt4b/9vorTTqxiQN/rql/oTuG/qeZDNCWyYkDENUhT+pXh
v396oGQQtWJAA0EDelq54b9VDv2U+7diQOApySGf3OG/L2BQDZy6YkBwwH49
Rfzhv/m5yGVnvmJAeS8/XNQp4r/XyRImvcBiQM1T1AnGReK/rV1vVqjDYkAB
Vi+hmmjiv1mFKLd+yWJArZt8Au6t4r+x1Jp4K9ViQDYoVtg3N+O/YXN/+4Ts
YkCPH7G9KkTkvzcH3Ctw72JAiAzoKT5l5L8NmzhcW/JiQElWMg8yhuS/ucLx
vDH4YkD4E09/usfkv5VzQNms+mJAqtyZr23j5L9l6qodCP5iQF9Wv4TCCOW/
Pd0C8s0AY0ArfunmeCflvw1UbTYpBGNAPwfuEH9M5b/npcCuyQZjQFik9HBa
aeW/v5gYg48JY0BPoT8us4flv8HQzvo=
      "]], 
     LineBox[{{148.0269676967155, -0.4747597236464032}, {
      148.12136961621772`, -0.47944220635056417`}, {
      148.1988977626688, -0.48327860940972006`}, {
      148.2946678259319, -0.4880062447186397}, {
      148.38131693078898`, -0.4922726288960078}, {
      148.47252651484908`, -0.49675216807228645`}, {
      148.55005466130015`, -0.5005505136407589}, {
      148.60774472321822`, -0.5033713659163407}}], LineBox[CompressedData["
1:eJwBQQG+/iFib1JlAgAAABMAAAACAAAA8knwY6DkZUD1HgoRR+Hvv48Q/G7h
52VApQKjKK/S779IkkOTjeplQIb7O32Hxu+/pFAFsdrtZUBZlBqQTbfvv67w
CVLX8GVA99s+cVOp77/iH20x/PNlQKyw81Nomu+/Sn4z8EX6ZUDXZsp48Hvv
vyyP2VIa/WVAMKiea/Rt77+x3PmujwBmQKdjS96hXO+/u3z+T4wDZkAs2jz4
d03vv0HKHqwBB2ZASWlCAK07779MaiNN/glmQLcsrFcbLO+/+kai55sNZkAH
br19Ahnvv7LI6QtIEGZA6MSg97cK77/m90zrbBNmQDsMBPC2+e6/8ZdRjGkW
ZkAUIoK3Xunuv3blcejeGWZAZqzjhDbW7r+AhXaJ2xxmQGUq//l3xe6/YpYc
7K8fZkAaRbZ1b7Xuv0a9pDQ=
      "]], 
     LineBox[{{141.55192534547513`, -0.13134537283178924`}, {
      141.6170509583728, -0.13494943233847315`}, {
      141.68682840076315`, -0.13880908814191809`}, {
      141.78567977748267`, -0.1442735783819765}, {
      141.91011621641192`, -0.15114659850502524`}, {
      141.9891973177876, -0.15551100569632573`}, {
      141.9938491472805, -0.15576764884056368`}, {
      142.20318147445104`, -0.16730627433719406`}, {
      142.26830708734872`, -0.1708918209435173}, {
      142.36599550669507`, -0.1762662049517456}, {
      142.4543802670561, -0.18112456443067862`}, {
      142.53811319792447`, -0.18572345699315385`}}], 
     LineBox[{{143.01887977599347`, -0.2120532455216083}, {
      143.13819920248073`, -0.218566720475061}, {
      143.19867298588574`, -0.22186448983391013`}, {
      143.34287970015885`, -0.22971890383608043`}, {
      143.38474616559316`, -0.23199666106154748`}, {
      143.4731309259542, -0.2368013998145081}}], 
     LineBox[{{133.30742264811784`, 0.3228562944364759}, {133.39473471438467`,
       0.31822508196286203`}, {133.48664215256028`, 0.3133424347708862}, {
      133.596931078371, 0.3074730210310683}, {133.6704570289115, 
      0.3035539721799366}, {133.7623644670871, 0.2986484017926296}, {
      133.94617934343833`, 0.28881519646671894`}, {134.0288960377964, 
      0.28438086455299194`}, {134.13458959169833`, 0.2787064885391834}, {
      134.22190165796516`, 0.2740120722401026}, {134.31380909614077`, 
      0.2690639728222507}, {134.4011211624076, 0.26435711084187485`}, {
      134.49279883198778`, 0.2594085561666939}}], 
     LineBox[{{143.76154435450064`, -0.2524424085588869}, {
      143.84992911486165`, -0.2572236948749505}, {
      143.919706557252, -0.26099431565134923`}, {
      144.0243727208374, -0.2666433753467738}}], 
     LineBox[{{152.5865348038797, -0.6850144970667186}, {
      152.67272786081648`, -0.6886374592599335}, {
      152.75937696567357`, -0.6922650042948537}, {
      152.83690511212464`, -0.6954982450363971}}]}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{True, True}, {True, True}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{All, All},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.726295797491764*^9}]
}, Open  ]]
},
WindowSize->{1064, 813},
WindowMargins->{{Automatic, 62}, {Automatic, 40}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 186, 4, 45, "Input"],
Cell[747, 26, 122, 2, 45, "Input"],
Cell[CellGroupData[{
Cell[894, 32, 2479, 70, 220, "Input"],
Cell[3376, 104, 2941, 59, 573, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6354, 168, 972, 27, 75, "Input"],
Cell[7329, 197, 2536, 78, 173, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9902, 280, 162, 4, 45, "Input"],
Cell[10067, 286, 474, 15, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10578, 306, 427, 13, 45, "Input"],
Cell[11008, 321, 1050, 29, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12095, 355, 2479, 70, 240, "Input"],
Cell[14577, 427, 316, 10, 72, "Output"],
Cell[14896, 439, 210, 6, 66, "Output"]
}, Open  ]],
Cell[15121, 448, 1478, 45, 256, "Input"],
Cell[16602, 495, 221, 5, 45, "Input"],
Cell[CellGroupData[{
Cell[16848, 504, 557, 13, 45, "Input"],
Cell[17408, 519, 439, 16, 102, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17884, 540, 318, 7, 45, "Input"],
Cell[18205, 549, 194, 6, 84, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18436, 560, 1095, 29, 104, "Input"],
Cell[19534, 591, 1049, 35, 145, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20620, 631, 402, 12, 86, "Input"],
Cell[21025, 645, 174, 5, 66, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21236, 655, 1914, 53, 435, "Input"],
Cell[23153, 710, 38484, 656, 356, "Output"]
}, Open  ]]
}
]
*)

