(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16049,        510]
NotebookOptionsPosition[     14970,        469]
NotebookOutlinePosition[     15314,        484]
CellTagsIndexPosition[     15271,        481]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "code", " ", "finds", " ", "the", " ", "ODE", " ", "for", " ", 
   "the", " ", "BAOs"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7264853156280594`*^9, 3.7264853273684735`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Delta]\[Gamma]", "'"}], "[", "t", "]"}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["4", "3"]}], 
       RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}]}], "+", 
      RowBox[{"4", 
       RowBox[{
        RowBox[{"\[Phi]", "'"}], "[", "t", "]"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]\[Gamma]", "'"}], "[", "t", "]"}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"k", "^", "2"}], "4"], 
       RowBox[{"\[Delta]\[Gamma]", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"k", "^", "2"}], " ", 
       RowBox[{"\[Psi]", "[", "t", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"\[Tau]c", "[", "t", "]"}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Theta]b", "[", "t", "]"}], "-", 
         RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}]}], ")"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Delta]b", "'"}], "[", "t", "]"}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"\[Theta]b", "[", "t", "]"}]}], "+", 
      RowBox[{"3", 
       RowBox[{
        RowBox[{"\[Phi]", "'"}], "[", "t", "]"}]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq4", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]b", "'"}], "[", "t", "]"}], "-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"H", "[", "t", "]"}]}], 
       RowBox[{"\[Theta]b", "[", "t", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"R", "[", "t", "]"}]], 
       FractionBox["1", 
        RowBox[{"\[Tau]c", "[", "t", "]"}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}], "-", 
         RowBox[{"\[Theta]b", "[", "t", "]"}]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"k", "^", "2"}], " ", 
       RowBox[{"\[Psi]", "[", "t", "]"}]}]}], ")"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.72630909766867*^9, 3.7263091153530707`*^9}, {
  3.72630919741747*^9, 3.726309372030959*^9}, {3.7263095205723505`*^9, 
  3.7263095228850965`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"soltb", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"eq4", "\[Equal]", "0"}], ",", 
       RowBox[{"\[Theta]b", "[", "t", "]"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Theta]b", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "->", 
     RowBox[{
      SuperscriptBox["\[Theta]\[Gamma]", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.7263094928141336`*^9, 3.7263095159155884`*^9}, {
   3.7263095577118216`*^9, 3.726309561931016*^9}, {3.7263096266047115`*^9, 
   3.7263096294800158`*^9}, 3.7263097239799232`*^9, {3.726309896831332*^9, 
   3.726309917114755*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\[Theta]b", "[", "t", "]"}], "\[Rule]", 
   FractionBox[
    RowBox[{
     RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}], "+", 
     RowBox[{
      RowBox[{"R", "[", "t", "]"}], " ", 
      RowBox[{"\[Tau]c", "[", "t", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         RowBox[{"\[Psi]", "[", "t", "]"}]}], "-", 
        RowBox[{
         SuperscriptBox["\[Theta]\[Gamma]", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]}], 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"H", "[", "t", "]"}], " ", 
      RowBox[{"R", "[", "t", "]"}], " ", 
      RowBox[{"\[Tau]c", "[", "t", "]"}]}]}]]}], "}"}]], "Output",
 CellChangeTimes->{{3.726309503773678*^9, 3.726309524822781*^9}, {
   3.726309558571313*^9, 3.7263095623529377`*^9}, 3.7263096301050615`*^9, 
   3.726309735512427*^9, {3.726309897487652*^9, 3.7263099179742155`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"soltg", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"eq2", "/.", "soltb"}], ")"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       SuperscriptBox["\[Theta]\[Gamma]", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.7263099274439435`*^9, 3.726309990930434*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[Theta]\[Gamma]", "\[Prime]",
     MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"H", "[", "t", "]"}], " ", 
       RowBox[{"R", "[", "t", "]"}], " ", 
       RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"\[Delta]\[Gamma]", "[", "t", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"H", "[", "t", "]"}], " ", 
          RowBox[{"R", "[", "t", "]"}], " ", 
          RowBox[{"\[Tau]c", "[", "t", "]"}]}]}], ")"}]}]}], 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"R", "[", "t", "]"}], "+", 
        RowBox[{
         RowBox[{"H", "[", "t", "]"}], " ", 
         RowBox[{"R", "[", "t", "]"}], " ", 
         RowBox[{"\[Tau]c", "[", "t", "]"}]}]}], ")"}]}]], "+", 
    RowBox[{
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"\[Psi]", "[", "t", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7263099346947117`*^9, 3.726309991367956*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq7", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"eq1", ",", "t"}], "]"}], "/.", "soltg"}], "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eq1", "\[Equal]", "0"}], ",", 
      RowBox[{"\[Theta]\[Gamma]", "[", "t", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.726309995977843*^9, 3.7263100593247857`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["4", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["k", "2"], " ", 
      RowBox[{"\[Psi]", "[", "t", "]"}]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        RowBox[{"\[Delta]\[Gamma]", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"H", "[", "t", "]"}], " ", 
           RowBox[{"R", "[", "t", "]"}], " ", 
           RowBox[{"\[Tau]c", "[", "t", "]"}]}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"H", "[", "t", "]"}], " ", 
        RowBox[{"R", "[", "t", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Delta]\[Gamma]", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "-", 
          RowBox[{"4", " ", 
           RowBox[{
            SuperscriptBox["\[Phi]", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]}], 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"R", "[", "t", "]"}], "+", 
         RowBox[{
          RowBox[{"H", "[", "t", "]"}], " ", 
          RowBox[{"R", "[", "t", "]"}], " ", 
          RowBox[{"\[Tau]c", "[", "t", "]"}]}]}], ")"}]}]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["\[Delta]\[Gamma]", "\[Prime]\[Prime]",
    MultilineFunction->None], "[", "t", "]"}], "-", 
  RowBox[{"4", " ", 
   RowBox[{
    SuperscriptBox["\[Phi]", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}]}]], "Output",
 CellChangeTimes->{{3.7263099996657057`*^9, 3.726310029367947*^9}, 
   3.7263100604030056`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqBAO", "=", 
  RowBox[{
   RowBox[{
    FractionBox["eq7", "4"], "/.", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Delta]\[Gamma]", "[", "t", "]"}], "\[Rule]", 
         RowBox[{
          RowBox[{"4", 
           RowBox[{"\[Phi]", "[", "t", "]"}]}], "+", 
          RowBox[{"4", 
           RowBox[{"S", "[", "t", "]"}]}]}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "n"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.7263100631072392`*^9, 3.726310097735856*^9}, {
   3.726310152711686*^9, 3.7263102129995823`*^9}, 3.7263105118522897`*^9, {
   3.72631054626218*^9, 3.7263105466528254`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"\[Psi]", "[", "t", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"H", "[", "t", "]"}], " ", 
          RowBox[{"R", "[", "t", "]"}], " ", 
          RowBox[{"\[Tau]c", "[", "t", "]"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"S", "[", "t", "]"}], "+", 
         RowBox[{"\[Phi]", "[", "t", "]"}]}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"H", "[", "t", "]"}], " ", 
       RowBox[{"R", "[", "t", "]"}], " ", 
       RowBox[{
        SuperscriptBox["S", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}]}], 
     RowBox[{"1", "+", 
      RowBox[{"R", "[", "t", "]"}], "+", 
      RowBox[{
       RowBox[{"H", "[", "t", "]"}], " ", 
       RowBox[{"R", "[", "t", "]"}], " ", 
       RowBox[{"\[Tau]c", "[", "t", "]"}]}]}]], "+", 
    RowBox[{"3", " ", 
     RowBox[{
      SuperscriptBox["S", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.726310075139717*^9, 3.726310098001509*^9}, {
   3.7263101940913153`*^9, 3.726310214202839*^9}, 3.726310513055524*^9, 
   3.7263105478830605`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqBAO1", "=", 
  RowBox[{"eqBAO", "/.", 
   RowBox[{
    RowBox[{"\[Tau]c", "[", "t", "]"}], "\[Rule]", "0"}]}]}]], "Input",
 CellChangeTimes->{{3.726310441354452*^9, 3.726310453668236*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["k", "2"], " ", 
     RowBox[{"\[Psi]", "[", "t", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["k", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"S", "[", "t", "]"}], "+", 
         RowBox[{"\[Phi]", "[", "t", "]"}]}], ")"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"H", "[", "t", "]"}], " ", 
       RowBox[{"R", "[", "t", "]"}], " ", 
       RowBox[{
        SuperscriptBox["S", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}]}], 
     RowBox[{"1", "+", 
      RowBox[{"R", "[", "t", "]"}]}]], "+", 
    RowBox[{"3", " ", 
     RowBox[{
      SuperscriptBox["S", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.7263104463237085`*^9, 3.7263104543245544`*^9}, 
   3.726310515524535*^9, 3.726310553101927*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"eqBAO1", ",", 
      RowBox[{"S", "[", "t", "]"}], ",", "0"}], "]"}], "/.", 
    RowBox[{
     RowBox[{
      RowBox[{"S", "'"}], "[", "t", "]"}], "\[Rule]", "0"}]}], "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"S", "''"}], "[", "t", "]"}], "\[Rule]", "0"}]}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"eqBAO1", ",", 
    RowBox[{"S", "[", "t", "]"}], ",", "1"}], "]"}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"eqBAO1", ",", 
    RowBox[{
     RowBox[{"S", "'"}], "[", "t", "]"}], ",", "1"}], "]"}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"eqBAO1", ",", 
    RowBox[{
     RowBox[{"S", "''"}], "[", "t", "]"}], ",", "1"}], "]"}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.72631026497381*^9, 3.7263103247770104`*^9}, {
  3.7263103570726786`*^9, 3.726310365745489*^9}, {3.726310463476822*^9, 
  3.7263104655551734`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "3"], " ", 
  SuperscriptBox["k", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{"\[Phi]", "[", "t", "]"}], 
     RowBox[{"1", "+", 
      RowBox[{"R", "[", "t", "]"}]}]], "+", 
    RowBox[{"\[Psi]", "[", "t", "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.726310292601734*^9, 3.7263103268553815`*^9}, {
   3.726310359776089*^9, 3.726310366151792*^9}, 3.7263104659458165`*^9, 
   3.726310517618535*^9, 3.7263105545239506`*^9}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["k", "2"], 
  RowBox[{"3", "+", 
   RowBox[{"3", " ", 
    RowBox[{"R", "[", "t", "]"}]}]}]]], "Output",
 CellChangeTimes->{{3.726310292601734*^9, 3.7263103268553815`*^9}, {
   3.726310359776089*^9, 3.726310366151792*^9}, 3.7263104659458165`*^9, 
   3.726310517618535*^9, 3.7263105545395775`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"H", "[", "t", "]"}], " ", 
   RowBox[{"R", "[", "t", "]"}]}], 
  RowBox[{"1", "+", 
   RowBox[{"R", "[", "t", "]"}]}]]], "Output",
 CellChangeTimes->{{3.726310292601734*^9, 3.7263103268553815`*^9}, {
   3.726310359776089*^9, 3.726310366151792*^9}, 3.7263104659458165`*^9, 
   3.726310517618535*^9, 3.7263105545395775`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.726310292601734*^9, 3.7263103268553815`*^9}, {
   3.726310359776089*^9, 3.726310366151792*^9}, 3.7263104659458165`*^9, 
   3.726310517618535*^9, 3.7263105545395775`*^9}]
}, Open  ]]
},
WindowSize->{1092, 813},
WindowMargins->{{Automatic, 239}, {Automatic, 84}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 242, 5, 45, "Input"],
Cell[803, 27, 2351, 76, 256, "Input"],
Cell[CellGroupData[{
Cell[3179, 107, 808, 21, 45, "Input"],
Cell[3990, 130, 971, 25, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4998, 160, 484, 13, 45, "Input"],
Cell[5485, 175, 1199, 34, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6721, 214, 427, 12, 45, "Input"],
Cell[7151, 228, 1704, 48, 105, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8892, 281, 827, 23, 79, "Input"],
Cell[9722, 306, 1400, 40, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11159, 351, 214, 5, 45, "Input"],
Cell[11376, 358, 977, 29, 74, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12390, 392, 1122, 33, 133, "Input"],
Cell[13515, 427, 496, 13, 71, "Output"],
Cell[14014, 442, 341, 8, 74, "Output"],
Cell[14358, 452, 373, 9, 70, "Output"],
Cell[14734, 463, 220, 3, 44, "Output"]
}, Open  ]]
}
]
*)

