(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4436,        155]
NotebookOptionsPosition[      3972,        134]
NotebookOutlinePosition[      4315,        149]
CellTagsIndexPosition[      4272,        146]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "This", " ", "calculated", " ", "the", " ", "Cls", " ", "in", " ", 
     "terms", " ", "of", " ", "l", " ", "and", " ", 
     RowBox[{"ns", ".", " ", "For"}], " ", "ns"}], "=", "1"}], ",", " ", 
   RowBox[{"the", " ", "scpectrum", " ", "is", " ", "flat"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.726485338083125*^9, 3.726485373015757*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Pk", "[", "k_", "]"}], ":=", 
   RowBox[{
    RowBox[{"As", "^", "2"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"k", " ", "\[Eta]0"}], ")"}], 
     RowBox[{"ns", "-", "1"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Cls", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"4", " ", "Pi"}], "25"], 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Pk", "[", 
        RowBox[{"k", " ", "\[Eta]0"}], "]"}], 
       RowBox[{
        RowBox[{
         RowBox[{"SphericalBesselJ", "[", 
          RowBox[{"l", ",", 
           RowBox[{"k", " ", "\[Eta]0"}]}], "]"}], "^", "2"}], "/", "k"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}]}], "//", 
   "FullSimplify"}]}]}], "Input",
 CellChangeTimes->{{3.725945887365628*^9, 3.7259459616919003`*^9}, {
  3.725946021782735*^9, 3.7259461135681133`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"25", " ", 
    RowBox[{"Gamma", "[", 
     RowBox[{"2", "-", 
      FractionBox["ns", "2"]}], "]"}]}]], 
  RowBox[{
   SuperscriptBox["2", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "ns"}]], " ", 
   SuperscriptBox["As", "2"], " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     SuperscriptBox["\[Eta]0", "2"], ")"}], 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "ns"}], ")"}]}]], " ", 
   RowBox[{"Gamma", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], "+", "l", "+", 
     FractionBox["ns", "2"]}], "]"}], " ", 
   RowBox[{"Hypergeometric2F1Regularized", "[", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "ns"}], ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "l"}], "+", "ns"}], ")"}]}], ",", 
     RowBox[{
      FractionBox["3", "2"], "+", "l"}], ",", "1"}], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.725945925926779*^9, 3.725945961941909*^9}, 
   3.7259460653766217`*^9, {3.725946095847489*^9, 3.725946114099442*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"l", " ", 
      RowBox[{"(", 
       RowBox[{"l", "+", "1"}], ")"}]}], 
     RowBox[{"2", "Pi"}]], "Cls"}], "/.", 
   RowBox[{"ns", "\[Rule]", "1"}]}], "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.725945966239256*^9, 3.7259460008630285`*^9}, {
  3.725946118319078*^9, 3.7259461358316245`*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["As", "2"], "25"]], "Output",
 CellChangeTimes->{{3.7259459680207024`*^9, 3.7259460014099646`*^9}, {
  3.7259461244241495`*^9, 3.725946136394167*^9}}]
}, Open  ]]
},
WindowSize->{976, 813},
WindowMargins->{{Automatic, 355}, {Automatic, 84}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 425, 10, 75, "Input"],
Cell[CellGroupData[{
Cell[1008, 34, 1020, 31, 174, "Input"],
Cell[2031, 67, 1308, 42, 135, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3376, 114, 382, 11, 80, "Input"],
Cell[3761, 127, 195, 4, 70, "Output"]
}, Open  ]]
}
]
*)

